summaryrefslogtreecommitdiffstats
path: root/local/.bin/hornet/vscreen
diff options
context:
space:
mode:
Diffstat (limited to 'local/.bin/hornet/vscreen')
-rwxr-xr-xlocal/.bin/hornet/vscreen16
1 files changed, 16 insertions, 0 deletions
diff --git a/local/.bin/hornet/vscreen b/local/.bin/hornet/vscreen
new file mode 100755
index 0000000..52fc5cc
--- /dev/null
+++ b/local/.bin/hornet/vscreen
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+case "$1" in
+goto)
+ xrandr --addmode VIRTUAL1 1920x1080
+ xrandr --output VIRTUAL1 --auto --output eDP1 --auto --left-of VIRTUAL1
+ i3-switch-workspace virtual
+ ;;
+off)
+ xrandr --output VIRTUAL1 --off
+ ;;
+*)
+ echo "bad subcommand $1" >&2
+ exit 1
+ ;;
+esac